.paragraph--bloc-seo {
  padding: 40px 0;
}

.paragraph--bloc-seo__wrapper {
  margin: 0 auto;
}

.paragraph--bloc-seo__title {
  font-size: 1.2rem;
  font-weight: 800;
  margin-bottom: 10px;
  line-height: 1.2;
}

.paragraph--bloc-seo__text {
  font-size: 1rem;
  line-height: 1.6;
  color: #333;
  position: relative;
  transition: max-height 0.6s cubic-bezier(0.4, 0, 0.2, 1);
  overflow: hidden;
}

.paragraph--bloc-seo__text.is-truncated {
  max-height: 7.3em;
}

.paragraph--bloc-seo__text.is-truncated {
  max-height: 7em;
  mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
  -webkit-mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
}

/* Supprimer le ::after */
.paragraph--bloc-seo__text.is-truncated::after {
  display: none;
}

.paragraph--bloc-seo__button {
  display: inline-block;
  margin-top: 20px;
  padding: 0;
  background: none;
  border: none;
  color: var(--color-primary--1);
  cursor: pointer;
  font-size: 1rem;
  font-weight: 700;
  text-decoration: underline;
  transition: color 0.3s ease, transform 0.2s ease;
}

.paragraph--bloc-seo__button:hover {
  color: #4A1236;
}

@media (min-width: 768px) {
  .paragraph--bloc-seo__text.is-truncated {
    max-height: 6.9em;
  }
  .paragraph--bloc-seo {
    padding: 40px 0;
  }

  .paragraph--bloc-seo__title {
    font-size: 1.5rem;
  }

  .paragraph--bloc-seo__text {
    font-size: 1.125rem;
  }
}
